curl --request POST \
--url https://api-global.fastpaybrasil.com/v1/three-ds/submit \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"authenticationId": "tdsa_1QmCRMJM0r9zBvr4OVmMRa6X",
"fingerprintingResult": "VGhpcyBpcyBhIHNhbXBsZSciAzRFMgTWV0aG9kIFJlc3VsdA=="
}
'import requests
url = "https://api-global.fastpaybrasil.com/v1/three-ds/submit"
payload = {
"authenticationId": "tdsa_1QmCRMJM0r9zBvr4OVmMRa6X",
"fingerprintingResult": "VGhpcyBpcyBhIHNhbXBsZSciAzRFMgTWV0aG9kIFJlc3VsdA=="
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authenticationId: 'tdsa_1QmCRMJM0r9zBvr4OVmMRa6X',
fingerprintingResult: 'VGhpcyBpcyBhIHNhbXBsZSciAzRFMgTWV0aG9kIFJlc3VsdA=='
})
};
fetch('https://api-global.fastpaybrasil.com/v1/three-ds/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authenticationId": "tdsa_1QmCRMJM0r9zBvr4OVmMRa6X",
"status": "requires_challenge",
"challengeUrl": "https://hooks.stripe.com/three_d_secure/challenge/acct_xxx/tdsa_xxx",
"outcome": "authenticated"
}{
"statusCode": 422,
"message": "SubMerchant is not active",
"error": "Unprocessable Entity"
}Submit 3DS authentication
Submits a 3DS authentication after optional fingerprinting.
Pass fingerprintingResult if you received it from the iframe postMessage.
Returns updated status and may include challengeUrl if a challenge is required.
Authentication: Uses the merchant’s public/publishable key (pk_...).
Authorizations
HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.
Body
3DS Authentication ID from POST /v1/three-ds/authenticate
"tdsa_1QmCRMJM0r9zBvr4OVmMRa6X"
Base64-encoded fingerprinting result obtained from the hidden iframe postMessage. Omit if no fingerprinting step occurred.
"VGhpcyBpcyBhIHNhbXBsZSciAzRFMgTWV0aG9kIFJlc3VsdA=="
Response
Authentication submitted successfully
3DS Authentication ID
"tdsa_1QmCRMJM0r9zBvr4OVmMRa6X"
Updated authentication status after submit
requires_challenge, succeeded, failed, error, processing "requires_challenge"
Challenge URL — render in iframe when status is requires_challenge
"https://hooks.stripe.com/three_d_secure/challenge/acct_xxx/tdsa_xxx"
Authentication outcome (only present in terminal states)
"authenticated"